Update a customer
curl --request PUT \
--url https://api.example.com/api/v1/customers/{customer_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "john@example.com",
"phone": "+2348012345678",
"first_name": "John",
"last_name": "Doe",
"metadata": {}
}
'import requests
url = "https://api.example.com/api/v1/customers/{customer_id}"
payload = {
"email": "john@example.com",
"phone": "+2348012345678",
"first_name": "John",
"last_name": "Doe",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'john@example.com',
phone: '+2348012345678',
first_name: 'John',
last_name: 'Doe',
metadata: {}
})
};
fetch('https://api.example.com/api/v1/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}Customers
Update a customer
PUT
/
api
/
v1
/
customers
/
{customer_id}
Update a customer
Authorizations
API key for /api/v1/* endpoints
Path Parameters
Customer UUID
Body
application/json
Response
Customer updated successfully.